pngquant-2.5.2-5.el6.x86_64.rpm


Advertisement

Description

pngquant - PNG quantization tool for reducing image file size

Property Value
Distribution CentOS 6
Repository EPEL x86_64
Package name pngquant
Package version 2.5.2
Package release 5.el6
Package architecture x86_64
Package type rpm
Installed size 45.14 KB
Download size 27.18 KB
Official Mirror dl.fedoraproject.org
pngquant converts 24/32-bit RGBA PNG images to 8-bit palette with alpha channel
preserved.  Such images are compatible with all modern web browsers and a
compatibility setting is available to help transparency degrade well in
Internet Explorer 6.  Quantized files are often 40-70 percent smaller than
their 24/32-bit version. pngquant uses the median cut algorithm.

Alternatives

Package Version Architecture Repository
pngquant-2.5.2-5.el6.i686.rpm 2.5.2 i686 EPEL
pngquant - - -

Requires

Name Value
libc.so.6(GLIBC_2.11)(64bit) -
libimagequant(x86-64) = 2.5.2-5.el6
libimagequant.so.0()(64bit) -
liblcms2.so.2()(64bit) -
libm.so.6()(64bit) -
libpng(x86-64) >= 1.2.46-1
libpng12.so.0()(64bit) -
libpng12.so.0(PNG12_0)(64bit) -
libz.so.1()(64bit) -
rtld(GNU_HASH) -
zlib(x86-64) >= 1.2.3-1

Provides

Name Value
pngquant = 2.5.2-5.el6
pngquant(x86-64) = 2.5.2-5.el6

Download

Type URL
Binary Package pngquant-2.5.2-5.el6.x86_64.rpm
Source Package pngquant-2.5.2-5.el6.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://dl.fedoraproject.org/pub/epel/6/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install pngquant rpm package:
    # yum install pngquant

Files

Path
/usr/bin/pngquant
/usr/share/doc/pngquant-2.5.2/CHANGELOG
/usr/share/doc/pngquant-2.5.2/COPYRIGHT
/usr/share/doc/pngquant-2.5.2/README.md
/usr/share/man/man1/pngquant.1.gz

Changelog

2015-12-19 - Sérgio Basto <sergio@serjux.com> - 2.5.2-5
- Following https://fedoraproject.org/wiki/EPEL:Packaging#The_.25license_tag
2015-12-19 - Björn Esser <fedora@besser82.io> - 2.5.2-4
- Add '-std=c99' for building the testsuite binary
2015-12-19 - Björn Esser <fedora@besser82.io> - 2.5.2-3
- Add Patch1: make the configure-script work with %configure
- Build and run the testsuite
- Conditionalize %license
- Remove all el5-related things, since we need gcc >= 4.2 anyways
- Fix %{?_isa} on (Build)Requires
2015-12-19 - Sérgio Basto <sergio@serjux.com> - 2.5.2-2
- Disable pngquant debug (#1291885)
2015-11-26 - Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 2.5.2-1
- Update to 2.5.2 (#1285589)
2015-08-27 - Sérgio Basto <sergio@serjux.com> - 2.5.1-1
- Update to 2.5.1
2015-07-02 - Sérgio Basto <sergio@serjux.com> - 2.5.0-1
- Update to 2.5.0 (#1238501)
- Update to pngquant-2.5.0_fix-Makefile.patch .
2015-06-20 - Sérgio Basto <sergio@serjux.com> - 2.4.2-3
- pngquant now requires libimagequant with same version
2015-06-18 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
2015-06-17 - Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 2.4.2-1
- Update to 2.4.2 (#1232532)
- Add license tag.

See Also

Package Description
pnp4nagios-0.6.22-2.el6.x86_64.rpm Nagios performance data analysis tool
po4a-0.41-1.el6.noarch.rpm A tool maintaining translations anywhere
poco-crypto-1.4.2p1-3.el6.i686.rpm The Crypto POCO component
poco-crypto-1.4.2p1-3.el6.x86_64.rpm The Crypto POCO component
poco-data-1.4.2p1-3.el6.i686.rpm The Data POCO component
poco-data-1.4.2p1-3.el6.x86_64.rpm The Data POCO component
poco-devel-1.4.2p1-3.el6.i686.rpm Headers for developing programs that will use POCO
poco-devel-1.4.2p1-3.el6.x86_64.rpm Headers for developing programs that will use POCO
poco-doc-1.4.2p1-3.el6.x86_64.rpm The POCO API reference documentation
poco-foundation-1.4.2p1-3.el6.i686.rpm The Foundation POCO component
poco-foundation-1.4.2p1-3.el6.x86_64.rpm The Foundation POCO component
poco-mysql-1.4.2p1-3.el6.i686.rpm The Data/MySQL POCO component
poco-mysql-1.4.2p1-3.el6.x86_64.rpm The Data/MySQL POCO component
poco-net-1.4.2p1-3.el6.i686.rpm The Net POCO component
poco-net-1.4.2p1-3.el6.x86_64.rpm The Net POCO component
Advertisement
Advertisement